Validate an OTP
Check that the one-time password a customer entered matches the OTP you created.
Last updated 13 September 2026
post
https://api.flutterwave.com/v3/otps/{reference}/validate
authorization string required
Pass your secret key as a bearer token in the request header to authorize this call
FILL IN ALL REQUIRED FIELDS
reference string required
A unique reference of the OTP.
FILL IN ALL REQUIRED FIELDS
otp int 32 required
The one time password sent to the customer.
FILL IN ALL REQUIRED FIELDS
status string
message string
data string
Shell
1
1